AOMedia AV1 Codec: TemporalFilterCtx Struct Reference

| AOMedia AV1 Codec

TemporalFilterCtx Struct Reference

Parameters related to temporal filtering. More...

`#include <temporal_filter.h>`

## Data Fields
YV12_BUFFER_CONFIG * | frames [MAX_LAG_BUFFERS]
int | num_frames
YV12_BUFFER_CONFIG * | output_frame
int | filter_frame_idx
int | compute_frame_diff
struct scale_factors | sf
double | noise_levels [MAX_MB_PLANE]
int | num_pels
int | mb_rows
int | mb_cols
int | is_highbitdepth
int | q_factor

## Detailed Description

Parameters related to temporal filtering.

## Field Documentation

## ◆ frames

YV12_BUFFER_CONFIG* TemporalFilterCtx::frames[MAX_LAG_BUFFERS]

Frame buffers used for temporal filtering.

Referenced by av1_tf_do_filtering_row(), and tf_setup_filtering_buffer().

## ◆ num_frames

int TemporalFilterCtx::num_frames

Number of frames in the frame buffer.

Referenced by av1_tf_do_filtering_row(), and tf_setup_filtering_buffer().

## ◆ output_frame

YV12_BUFFER_CONFIG* TemporalFilterCtx::output_frame

Output filtered frame

Referenced by av1_tf_do_filtering_row().

## ◆ filter_frame_idx

int TemporalFilterCtx::filter_frame_idx

Index of the frame to be filtered.

Referenced by av1_tf_do_filtering_row(), and tf_setup_filtering_buffer().

## ◆ compute_frame_diff

int TemporalFilterCtx::compute_frame_diff

Whether to accumulate diff for show existing condition check.

Referenced by av1_tf_do_filtering_row().

## ◆ sf

struct scale_factors TemporalFilterCtx::sf

Frame scaling factor.

Referenced by av1_tf_do_filtering_row(), and tf_do_filtering().

## ◆ noise_levels

double TemporalFilterCtx::noise_levels[MAX_MB_PLANE]

Estimated noise levels for each plane in the frame.

Referenced by av1_tf_do_filtering_row(), and tf_setup_filtering_buffer().

## ◆ num_pels

int TemporalFilterCtx::num_pels

Number of pixels in the temporal filtering block across all planes.

Referenced by av1_tf_do_filtering_row().

## ◆ mb_rows

int TemporalFilterCtx::mb_rows

Number of temporal filtering block rows.

Referenced by tf_do_filtering().

## ◆ mb_cols

int TemporalFilterCtx::mb_cols

Number of temporal filtering block columns.

Referenced by av1_tf_do_filtering_row().

## ◆ is_highbitdepth

int TemporalFilterCtx::is_highbitdepth

Whether the frame is high-bitdepth or not.

## ◆ q_factor

int TemporalFilterCtx::q_factor

Quantization factor used in temporal filtering.

Referenced by av1_tf_do_filtering_row().

The documentation for this struct was generated from the following file:

- av1/encoder/temporal_filter.h